package jp.wda.gpss.samples.chap1;

import jp.wda.gpss.GeneralSocklet;
import jp.wda.gpss.SocketProcessor;

/**
 * <FONT SIZE=2><I><B>
 * [ OProject GPSS for FlashMX ] FlashMX用汎用ソケットサーバ Sockletサンプル
 * </B></I></FONT><BR>
 * チュートリアル 第１章 Sockletを作ってみる<BR>
 * Hello World Socklet
 *
 * @author	amoi
 */
public class HelloWorld extends GeneralSocklet {
	public boolean checkConnection(SocketProcessor client) {
		client.send("Hello! World.");
		return true;
	}
	
	public void preRemoveClient(SocketProcessor client) {
		sendToAllClients("A client went away...");
		return;
	}
	
	public boolean doCommand(SocketProcessor client, String command) {
		sendToAllClients(command);
		return true;
	}

}
